"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Selector = void 0;
const tokenizer_1 = require("./selector/tokenizer");
const parser_1 = require("./selector/parser");
const unescape_1 = require("./selector/unescape");
const cache = new Map();
exports.Selector = {
    unescape: unescape_1.unescape,
    parse: (selector) => {
        if (cache.has(selector))
            return cache.get(selector);
        const tokens = (0, tokenizer_1.tokenize)(selector);
        const check = (0, parser_1.parseTokens)(tokens);
        cache.set(selector, check);
        return check;
    },
};
//# sourceMappingURL=Selector.js.map