"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toJson = void 0;
const createAttrsMap_1 = require("../constructors/createAttrsMap");
const isNodeInternal_1 = require("../operators/isNodeInternal");
function toJson(node) {
    const result = { name: node.tagName };
    if (node.attributes.length)
        result.attr = (0, createAttrsMap_1.createAttrsMap)(node.attributes);
    if (node.children.length)
        result.child = node.children.map((child) => ((0, isNodeInternal_1._isNodeInternal)(child) ? toJson(child) : child));
    return result;
}
exports.toJson = toJson;
//# sourceMappingURL=toJson.js.map