"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cloneNode = void 0;
const createAttrsMap_1 = require("../constructors/createAttrsMap");
const createNode_1 = require("../constructors/createNode");
const appendChild_1 = require("./appendChild");
const isNodeInternal_1 = require("./isNodeInternal");
function cloneNode(node, deep = false) {
    const clone = (0, createNode_1.createNode)(node.tagName, (0, createAttrsMap_1.createAttrsMap)(node.attributes));
    if (deep) {
        node.children.forEach((child) => {
            (0, appendChild_1.appendChild)(clone, (0, isNodeInternal_1._isNodeInternal)(child) ? cloneNode(child, true) : child);
        });
    }
    return clone;
}
exports.cloneNode = cloneNode;
//# sourceMappingURL=cloneNode.js.map