"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isIdentChar = exports.isIdentStart = exports.isUnicodeStrict = exports.isUnicode = exports.isHex = exports.isReplacer = exports.isDigit = exports.isSpace = exports.SPACE_AFTER_OPERATORS = exports.SPACE_BEFORE_OPERATORS = exports.DOUBLE_CHAR_OPERATORS = exports.SINGLE_CHAR_OPERATORS = exports.TOKEN_PIPE_EQUAL = exports.TOKEN_TILDE_EQUAL = exports.TOKEN_ASTERISK_EQUAL = exports.TOKEN_DOLLAR_EQUAL = exports.TOKEN_CARET_EQUAL = exports.TOKEN_PIPE = exports.TOKEN_MINUS = exports.TOKEN_TILDE = exports.TOKEN_PLUS = exports.TOKEN_ASTERISK = exports.TOKEN_EQUAL = exports.TOKEN_HASH = exports.TOKEN_COMMA = exports.TOKEN_DOT = exports.TOKEN_COLON = exports.TOKEN_GT = exports.TOKEN_ROUND_CLOSE = exports.TOKEN_ROUND_OPEN = exports.TOKEN_SQUARE_CLOSE = exports.TOKEN_SQUARE_OPEN = exports.TOKEN_NUMBER = exports.TOKEN_IDENT = exports.TOKEN_STRING = exports.TOKEN_QUOTE = exports.TOKEN_SPACE = exports.TOKEN_NULL = void 0;
exports.TOKEN_NULL = 0x00;
exports.TOKEN_SPACE = 0x01;
exports.TOKEN_QUOTE = 0x04;
exports.TOKEN_STRING = 0x05;
exports.TOKEN_IDENT = 0x06;
exports.TOKEN_NUMBER = 0x07;
exports.TOKEN_SQUARE_OPEN = 0x41;
exports.TOKEN_SQUARE_CLOSE = 0x42;
exports.TOKEN_ROUND_OPEN = 0x43;
exports.TOKEN_ROUND_CLOSE = 0x44;
exports.TOKEN_GT = 0x45;
exports.TOKEN_COLON = 0x46;
exports.TOKEN_DOT = 0x47;
exports.TOKEN_COMMA = 0x48;
exports.TOKEN_HASH = 0x49;
exports.TOKEN_EQUAL = 0x50;
exports.TOKEN_ASTERISK = 0x51;
exports.TOKEN_PLUS = 0x52;
exports.TOKEN_TILDE = 0x53;
exports.TOKEN_MINUS = 0x54;
exports.TOKEN_PIPE = 0x55;
exports.TOKEN_CARET_EQUAL = 0x61;
exports.TOKEN_DOLLAR_EQUAL = 0x62;
exports.TOKEN_ASTERISK_EQUAL = 0x63;
exports.TOKEN_TILDE_EQUAL = 0x64;
exports.TOKEN_PIPE_EQUAL = 0x65;
exports.SINGLE_CHAR_OPERATORS = new Map([
    ['[', exports.TOKEN_SQUARE_OPEN],
    [']', exports.TOKEN_SQUARE_CLOSE],
    ['(', exports.TOKEN_ROUND_OPEN],
    [')', exports.TOKEN_ROUND_CLOSE],
    ['>', exports.TOKEN_GT],
    [':', exports.TOKEN_COLON],
    ['.', exports.TOKEN_DOT],
    [',', exports.TOKEN_COMMA],
    ['#', exports.TOKEN_HASH],
    ['=', exports.TOKEN_EQUAL],
    ['*', exports.TOKEN_ASTERISK],
    ['+', exports.TOKEN_PLUS],
    ['~', exports.TOKEN_TILDE],
    ['-', exports.TOKEN_MINUS],
    ['|', exports.TOKEN_PIPE],
]);
exports.DOUBLE_CHAR_OPERATORS = new Map([
    ['^=', exports.TOKEN_CARET_EQUAL],
    ['$=', exports.TOKEN_DOLLAR_EQUAL],
    ['*=', exports.TOKEN_ASTERISK_EQUAL],
    ['~=', exports.TOKEN_TILDE_EQUAL],
    ['|=', exports.TOKEN_PIPE_EQUAL],
]);
exports.SPACE_BEFORE_OPERATORS = [
    exports.TOKEN_GT,
    exports.TOKEN_COMMA,
    exports.TOKEN_PLUS,
    exports.TOKEN_MINUS,
    exports.TOKEN_TILDE,
    exports.TOKEN_ROUND_CLOSE,
    exports.TOKEN_SQUARE_CLOSE,
];
exports.SPACE_AFTER_OPERATORS = [
    exports.TOKEN_GT,
    exports.TOKEN_COMMA,
    exports.TOKEN_PLUS,
    exports.TOKEN_MINUS,
    exports.TOKEN_TILDE,
    exports.TOKEN_ROUND_OPEN,
    exports.TOKEN_SQUARE_OPEN,
    exports.TOKEN_CARET_EQUAL,
    exports.TOKEN_DOLLAR_EQUAL,
    exports.TOKEN_ASTERISK_EQUAL,
    exports.TOKEN_TILDE_EQUAL,
    exports.TOKEN_PIPE_EQUAL,
];
function isSpace(code) {
    return code === 32 || code === 10 || code === 13 || code === 9 || code === 12;
}
exports.isSpace = isSpace;
function isDigit(code) {
    return code >= 48 && code <= 57;
}
exports.isDigit = isDigit;
function isReplacer(code) {
    return code === 65533;
}
exports.isReplacer = isReplacer;
function isHex(code) {
    return isDigit(code) || (code >= 65 && code <= 70) || (code >= 97 && code <= 102);
}
exports.isHex = isHex;
function isUnicode(code) {
    return code >= 160 && code < 65519;
}
exports.isUnicode = isUnicode;
function isUnicodeStrict(code) {
    return (code >= 160 && code < 55295) || (code >= 63744 && code < 64975) || (code >= 65008 && code < 65519);
}
exports.isUnicodeStrict = isUnicodeStrict;
function isIdentStart(code) {
    return (code >= 65 && code <= 90) || code === 92 || code === 95 || (code >= 97 && code <= 122) || isUnicode(code);
}
exports.isIdentStart = isIdentStart;
function isIdentChar(code) {
    return isDigit(code) || isIdentStart(code);
}
exports.isIdentChar = isIdentChar;
//# sourceMappingURL=tokens.js.map