"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unescape = void 0;
const tokens_1 = require("./tokens");
function unescape(text) {
    const length = text.length;
    let result = '';
    let cursor = 0;
    while (cursor < length) {
        let char = text.charAt(cursor++);
        if (char === '\\') {
            let hex = '';
            while ((0, tokens_1.isHex)((char = text.charAt(cursor)).charCodeAt(0))) {
                hex += char;
                ++cursor;
            }
            if (hex === '') {
                result += char;
                ++cursor;
            }
            else {
                result += String.fromCharCode(parseInt(hex, 16));
                if ((0, tokens_1.isSpace)(char.charCodeAt(0)))
                    ++cursor;
            }
        }
        else if ((0, tokens_1.isReplacer)(char.charCodeAt(0))) {
            result += '\0';
        }
        else {
            result += char;
        }
    }
    return result;
}
exports.unescape = unescape;
//# sourceMappingURL=unescape.js.map