import { tokenize } from './selector/tokenizer';
import { parseTokens } from './selector/parser';
import { unescape as u } from './selector/unescape';
const cache = new Map();
export const Selector = {
    unescape: u,
    parse: (selector) => {
        if (cache.has(selector))
            return cache.get(selector);
        const tokens = tokenize(selector);
        const check = parseTokens(tokens);
        cache.set(selector, check);
        return check;
    },
};
//# sourceMappingURL=Selector.js.map