export interface Token {
    text: string;
    type: number;
    start: number;
    end: number;
}
export declare const TOKEN_NULL = 0;
export declare const TOKEN_SPACE = 1;
export declare const TOKEN_QUOTE = 4;
export declare const TOKEN_STRING = 5;
export declare const TOKEN_IDENT = 6;
export declare const TOKEN_NUMBER = 7;
export declare const TOKEN_SQUARE_OPEN = 65;
export declare const TOKEN_SQUARE_CLOSE = 66;
export declare const TOKEN_ROUND_OPEN = 67;
export declare const TOKEN_ROUND_CLOSE = 68;
export declare const TOKEN_GT = 69;
export declare const TOKEN_COLON = 70;
export declare const TOKEN_DOT = 71;
export declare const TOKEN_COMMA = 72;
export declare const TOKEN_HASH = 73;
export declare const TOKEN_EQUAL = 80;
export declare const TOKEN_ASTERISK = 81;
export declare const TOKEN_PLUS = 82;
export declare const TOKEN_TILDE = 83;
export declare const TOKEN_MINUS = 84;
export declare const TOKEN_PIPE = 85;
export declare const TOKEN_CARET_EQUAL = 97;
export declare const TOKEN_DOLLAR_EQUAL = 98;
export declare const TOKEN_ASTERISK_EQUAL = 99;
export declare const TOKEN_TILDE_EQUAL = 100;
export declare const TOKEN_PIPE_EQUAL = 101;
export declare const SINGLE_CHAR_OPERATORS: Map<string, number>;
export declare const DOUBLE_CHAR_OPERATORS: Map<string, number>;
export declare const SPACE_BEFORE_OPERATORS: number[];
export declare const SPACE_AFTER_OPERATORS: number[];
export declare function isSpace(code: number): boolean;
export declare function isDigit(code: number): boolean;
export declare function isReplacer(code: number): boolean;
export declare function isHex(code: number): boolean;
export declare function isUnicode(code: number): boolean;
export declare function isUnicodeStrict(code: number): boolean;
export declare function isIdentStart(code: number): boolean;
export declare function isIdentChar(code: number): boolean;
